Get Members

Prev Next
Get
/v1/members

Get all members that belong to sub-accounts within the user's permissions.

Security
HTTP
Type basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the Authentication Guide.

Query parameters
page
integer

Page number

size
integer

Number of items per page

id
integer

Filter by Member ID

status
string

Filter by member status

Valid values[ "Active", "Deactivated" ]
username
string

Filter by username

subAccountId
integer

Filter by Sub-Account ID

Responses
200

Successfully retrieved members

{
  "success": "True",
  "data": {
    "items": [
      {
        "id": "11223",
        "subAccountId": "54321",
        "firstName": "Jane",
        "lastName": "Smith",
        "username": "jsmith",
        "memberRole": "Admin",
        "email": "jane.smith@example.com",
        "status": "Active",
        "mfa": "True",
        "imageUrl": "",
        "creationDate": "2023-06-15T14:30:00Z",
        "address1": "",
        "address2": "",
        "country": "",
        "city": "",
        "stateName": "",
        "zip": "",
        "phone": "",
        "isSsoUser": "False"
      }
    ],
    "page": "1",
    "size": "20",
    "total": "1"
  }
}
Expand All
object
success
boolean
data
object
items
Array of object (MemberResponse)
object
id
integer
subAccountId
integer
firstName
string
lastName
string
username
string
memberRole
string
email
string
status
string
mfa
boolean
imageUrl
string | null
creationDate
string (date-time)
address1
string | null
address2
string | null
country
string | null
city
string | null
stateName
string | null
zip
string | null
phone
string | null
isSsoUser
boolean
page
integer
size
integer
total
integer